# pbmupc

Updated: 29 April 2015
Table Of Contents

## NAME

pbmupc - create a Universal Product Code PBM image

## SYNOPSIS

pbmupc [-s1 | -s2] type manufacturer product

## DESCRIPTION

This program is part of Netpbm.

pbmupc generates an image of a Universal Product Code symbol. The three arguments are: a one digit product type, a five digit manufacturer code, and a five digit product code. For example, "0 72890 00011" is the code for Heineken.

pbmupc produces an image 230 bits wide and 175 bits high. If you want a different size run the output through pamscale.

## OPTIONS

The -s1 and -s2 options select the style of UPC to generate. The default, -s1, looks more or less like this:

     ||||||||||||||||
     ||||||||||||||||
     ||||||||||||||||
     ||||||||||||||||
    0||12345||67890||5

The other style, -s2, puts the product type digit higher up, and doesn't display the checksum digit:

     ||||||||||||||||
     ||||||||||||||||
    0||||||||||||||||
     ||||||||||||||||
     ||12345||67890||

## SEE ALSO

pamscale pbm

## AUTHOR

Copyright (C) 1989 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR